#!/bin/bash


cd ../

mkdir cube
mkdir sbf
mkdir input_elf
mkdir output_elf

for i in *.wfn
do 


  echo $i 

  sed "s?tmp.wfn?$i?g" init/elf.inp > ${i}_elf.inp
  sed "s?tmp.wfn?$i?g" init/rho.inp > ${i}_rho.inp
  sed "s?tmp.wfn?$i?g" init/grid.inp >${i}_grid.inp
  sed "s?tmp.wfn?$i?g" init/pop.inp > ${i}_pop.inp
  sed  -e "s?tmp.wfn?$i?g" -e "s?tmp.sbf?${i%%.*}_esyn.sbf?g" init/ysbf.inp > ${i}_ysbf.inp
  sed  -e "s?tmp.wfn?$i?g" -e "s?tmp.sbf?${i%%.*}_elf.sbf?g" init/esbf.inp > ${i}_esbf.inp
#  qsub sub_elf_$i

  grid09 < ${i}_grid.inp > ${i}_grid.out 
  bas09  < ${i}_elf.inp  > ${i}_elf.out
  bas09  < ${i}_rho.inp  > ${i}_rho.out
  pop09  < ${i}_pop.inp  > ${i}_pop.out

  sbf_to_cube < ${i}_ysbf.inp > ${i}_ysbf.out
  sbf_to_cube < ${i}_esbf.inp > ${i}_esbf.out

  mv *.cube cube/.
  mv *.sbf  sbf/.
  mv *.inp  input_elf/.
  mv *.out  output_elf/.

done

